import { Plugin } from '../plugin';
import { Manager } from './';
export declare class HistoryPlugin extends Plugin {
}
import * as pdfjs from '@/pdfjs';
export declare class DocumentManager extends Manager {
    private _pdfDocument?;
    private _loadingTask?;
    private _filesize?;
    get filesize(): number | undefined;
    init(): void;
    reset(): void;
    openDocument(document?: pdfjs.DocumentType): Promise<void>;
    loadDocument(pdfDocument: pdfjs.PDFDocumentProxy): void;
    getDocument(): import('pdfjs-dist/types/src/display/api').PDFDocumentProxy | undefined;
    setDocument(pdfDocument?: pdfjs.PDFDocumentProxy): void;
    private documentError;
}
